Index: XIOS/trunk/arch/arch-GCC_LINUX.env
===================================================================
--- XIOS/trunk/arch/arch-GCC_LINUX.env	(revision 394)
+++ XIOS/trunk/arch/arch-GCC_LINUX.env	(revision 395)
@@ -1,6 +1,6 @@
-export HDF5_INC_DIR=$WORKDIR/hdf5/include
-export HDF5_LIB_DIR=$WORKDIR/hdf5_gnu/lib
+export HDF5_INC_DIR=$HOME/hdf5/include
+export HDF5_LIB_DIR=$HOME/hdf5/lib
 
-export NETCDF_INC_DIR=$WORKDIR/netcdf4/include
-export NETCDF_LIB_DIR=$WORKDIR/netcdf4_gnu/lib
+export NETCDF_INC_DIR=$HOME/netcdf4/include
+export NETCDF_LIB_DIR=$HOME/netcdf4/lib
 
Index: XIOS/trunk/arch/arch-GCC_LINUX.fcm
===================================================================
--- XIOS/trunk/arch/arch-GCC_LINUX.fcm	(revision 394)
+++ XIOS/trunk/arch/arch-GCC_LINUX.fcm	(revision 395)
@@ -3,19 +3,22 @@
 ################################################################################
 
-%CCOMPILER      mpic++
+%CCOMPILER      mpicc
 %FCOMPILER      mpif90
 %LINKER         mpif90  
 
-%NO_WARN        -W -Wall -Wno-unused-parameter -Wno-long-long -Wno-deprecated
-%BASE_CFLAGS    -ansi -DXIOS_LIBRARY -DNONE -DXIOS_LIBRARY  -w
-%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -D XIOS_DEBUG -g 
-%DEBUG_CFLAGS   -D XIOS_DEBUG -g 
+%BASE_CFLAGS    -ansi -w
+%PROD_CFLAGS    -O3 -DBOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -O2 
+%DEBUG_CFLAGS   -g 
 
-%BASE_FFLAGS    -DXIOS_LIBRARY -DXIOS_LIBRARY 
+%BASE_FFLAGS    -D__NONE__ 
 %PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g 
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g 
+%DEV_FFLAGS     -g -O2
+%DEBUG_FFLAGS   -g 
 
-%BASE_INC       -D _NONE_
-%BASE_LD        -Wl,-z,muldefs -lstdc++ -lmpi_cxx
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-GCC_LINUX.path
===================================================================
--- XIOS/trunk/arch/arch-GCC_LINUX.path	(revision 394)
+++ XIOS/trunk/arch/arch-GCC_LINUX.path	(revision 395)
@@ -9,5 +9,5 @@
 HDF5_INCDIR="-I $HDF5_INC_DIR"
 HDF5_LIBDIR="-L $HDF5_LIB_DIR"
-HDF5_LIB="-lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl"
+HDF5_LIB="-lhdf5_hl -lhdf5 -lhdf5 -lz"
 
 OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
Index: XIOS/trunk/arch/arch-GCC_MACOSX.env
===================================================================
--- XIOS/trunk/arch/arch-GCC_MACOSX.env	(revision 394)
+++ XIOS/trunk/arch/arch-GCC_MACOSX.env	(revision 395)
@@ -1,3 +1,2 @@
-#
 # Environment to compile XIOS on Mac OS X
 #
@@ -5,25 +4,11 @@
 #   Mac OS X 10.7.4
 #   Prerequisite softwares installed with MacPorts :
-#     gfortran       : 4.6.3
-#     openmpi        : 1.5.5
-#     hdf5           : 1.6.9 revision 1, variant : +openmpi
-#     netcdf         : 4.2.0 revision 3, variant : +openmpi
-#     netcdf-fortran : 4.3   revision 2, variant : +openmpi
-#     netcdf-cxx     : 4.2   revision 1, variant : +openmpi
+#     gfortran       :  4.6.0
+#     openmpi        : 1.6.3_0  variant  +gcc45
+#     netcdf         : 4.2.1    variant : +dap+netcdf4+openmpi (includes hdf5)
 #
 # Olivier Marti - olivier.marti(ad)lsce.ipsl.fr
 #
-
-# export HDF5_DIR=/opt/local
-# export HDF5_INC_DIR=/${HDF5_DIR}/include
-# export HDF5_LIB_DIR=${HDF5_DIR}/lib
-
 export NETCDF_DIR=/opt/local
 export NETCDF_INC_DIR=${NETCDF_DIR}/include
 export NETCDF_LIB_DIR=${NETCDF_DIR}/lib
-
-export MPI_DIR=/opt/local
-export MPI_INC_DIR=${MPI_DIR}/include/openmpi
-export MPI_LIB_DIR=${MPI_DIR}/lib/openmpi
-
-#export OASIS_DIR=
Index: XIOS/trunk/arch/arch-GCC_MACOSX.fcm
===================================================================
--- XIOS/trunk/arch/arch-GCC_MACOSX.fcm	(revision 394)
+++ XIOS/trunk/arch/arch-GCC_MACOSX.fcm	(revision 395)
@@ -3,19 +3,23 @@
 ################################################################################
 
-%CCOMPILER      /opt/local/bin/g++
-%FCOMPILER      gfortran
-%LINKER         openmpif90
+%CCOMPILER      mpiCC
+%FCOMPILER      mpif90
+%LINKER         mpif90
 
-%NO_WARN        -W -Wall -Wno-unused-parameter -Wno-long-long -Wno-deprecated
-%BASE_CFLAGS    -ansi -DNONE -w
+%BASE_CFLAGS    -ansi -w
 %PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -D XIOS_DEBUG -g 
-%DEBUG_CFLAGS   -D XIOS_DEBUG -g 
+%DEV_CFLAGS     -g
+%DEBUG_CFLAGS   -g -O2
 
-%BASE_FFLAGS    -DXIOS_LIBRARY
+%BASE_FFLAGS    -D__NONE__
 %PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g 
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g 
+%DEV_FFLAGS     -g -O2
+%DEBUG_FFLAGS   -g
 
-%BASE_INC       -D_NONE_
-%BASE_LD        -lstdc++ -lmpi_cxx
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
+
Index: XIOS/trunk/arch/arch-GCC_MACOSX.path
===================================================================
--- XIOS/trunk/arch/arch-GCC_MACOSX.path	(revision 394)
+++ XIOS/trunk/arch/arch-GCC_MACOSX.path	(revision 395)
@@ -3,13 +3,9 @@
 NETCDF_LIB="-lnetcdff -lnetcdf"
 
-MPI_INCDIR="-I${MPI_INC_DIR}"
-#MPI_LIBDIR="-L${MPI_LIB_DIR}"
-#MPI_LIB="-lmpi_f77 -lmpi"
+HDF5_INCDIR=""
+HDF5_LIBDIR=""
+HDF5_LIB=""
 
-#HDF5_INCDIR="-I${HDF5_INC_DIR}"
-#HDF5_LIBDIR="-L${HDF5_LIB_DIR}"
-#HDF5_LIB="-lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl"
-
-#OASIS_INCDIR="-I$(WORKDIR}/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
-#OASIS_LIBDIR="-L$(WORKDIR}/NEMO_COUPLE/prism/X64/lib"
-#OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
+OASIS_INCDIR="-I$(WORKDIR}/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$(WORKDIR}/NEMO_COUPLE/prism/X64/lib"
+OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XIOS/trunk/arch/arch-PW6_VARGAS.env
===================================================================
--- XIOS/trunk/arch/arch-PW6_VARGAS.env	(revision 394)
+++ XIOS/trunk/arch/arch-PW6_VARGAS.env	(revision 395)
@@ -2,5 +2,7 @@
 module unload hdf5
 module unload phdf5
-module load phdf5/1.8.7 
+module load phdf5/1.8.7
+module unload c++
+module load c++/12.1.0.0 
 
 export HDF5_INC_DIR=$WORKDIR/hdf5/include
@@ -9,3 +11,2 @@
 export NETCDF_INC_DIR=$WORKDIR/netcdf4/include
 export NETCDF_LIB_DIR=$WORKDIR/netcdf4/lib
-
Index: XIOS/trunk/arch/arch-PW6_VARGAS.fcm
===================================================================
--- XIOS/trunk/arch/arch-PW6_VARGAS.fcm	(revision 394)
+++ XIOS/trunk/arch/arch-PW6_VARGAS.fcm	(revision 395)
@@ -7,14 +7,18 @@
 %LINKER         mpCC_r 
 
-%BASE_CFLAGS    -qmkshrobj  -DNETCDF_PAR_HEADER -qrtti -DXIOS_LIBRARY -DNONE -DXIOS_LIBRARY 
+%BASE_CFLAGS    -qmkshrobj  -qrtti 
 %PROD_CFLAGS    -O3 -DBOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -DXIOS_DEBUG -g 
-%DEBUG_CFLAGS   -DXIOS_DEBUG -g 
+%DEV_CFLAGS     -g 
+%DEBUG_CFLAGS   -g -O0 -qfullpath 
 
-%BASE_FFLAGS    -qmkshrobj -DXIOS_LIBRARY -DXIOS_LIBRARY 
+%BASE_FFLAGS    -qmkshrobj 
 %PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g 
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g
+%DEV_FFLAGS     -g 
+%DEBUG_FFLAGS   -g -O0 -qfullpath 
 
 %BASE_INC       -D__NONE__
 %BASE_LD        -lxlf90
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X64_CURIE.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE.fcm	(revision 394)
+++ XIOS/trunk/arch/arch-X64_CURIE.fcm	(revision 395)
@@ -9,12 +9,16 @@
 %BASE_CFLAGS    -ansi  -diag-disable 1125 -diag-disable 279
 %PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -D XIOS_DEBUG -g -traceback
-%DEBUG_CFLAGS   -D XIOS_DEBUG -DBZ_DEBUG -g -traceback -fno-inline
+%DEV_CFLAGS     -g -traceback
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
 
 %BASE_FFLAGS    -D__NONE__ 
 %PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g -traceback
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g -traceback
+%DEV_FFLAGS     -g -O2 -traceback
+%DEBUG_FFLAGS   -g -traceback
 
-%BASE_INC       -D __NONE__
+%BASE_INC       -D__NONE__
 %BASE_LD        -lstdc++
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X64_CURIE_GCC.env
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_GCC.env	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_GCC.env	(revision 395)
@@ -0,0 +1,8 @@
+module unload netcdf
+module unload hdf5
+module load netcdf/4.2_hdf5_parallel
+module load gnu/4.6.3  
+export OMPI_CC=gcc
+export OMPI_CXX=g++
+export OMPI_F77=gfortran
+export OMPI_FC=gfortran
Index: XIOS/trunk/arch/arch-X64_CURIE_GCC.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_GCC.fcm	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_GCC.fcm	(revision 395)
@@ -0,0 +1,24 @@
+################################################################################
+###################        Projet xios - xmlioserver       #####################
+################################################################################
+
+%CCOMPILER      mpicc
+%FCOMPILER      mpif90
+%LINKER         mpif90  
+
+%BASE_CFLAGS    -ansi -w
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -O2
+%DEBUG_CFLAGS   -g 
+
+%BASE_FFLAGS    -D__NONE__
+%PROD_FFLAGS    -O3
+%DEV_FFLAGS     -g -O2 
+%DEBUG_FFLAGS   -g 
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X64_CURIE_GCC.path
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_GCC.path	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_GCC.path	(revision 395)
@@ -0,0 +1,15 @@
+NETCDF_INCDIR="-I $NETCDF_INC_DIR"
+NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
+NETCDF_LIB="-lnetcdff -lnetcdf"
+
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
+
+HDF5_INCDIR=""
+HDF5_LIBDIR=""
+HDF5_LIB=""
+
+OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$WORKDIR/NEMO_COUPLE/prism/X64/lib"
+OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XIOS/trunk/arch/arch-X64_CURIE_PGI.env
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_PGI.env	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_PGI.env	(revision 395)
@@ -0,0 +1,13 @@
+module unload netcdf
+module unload hdf5
+module load netcdf/4.2_hdf5_parallel
+#module unload intel
+module unload pgi
+module unload gnu
+module load gnu/4.6.3 
+module load  pgi/12.6  
+
+export OMPI_CC=pgcc
+export OMPI_CXX=pgcpp
+export OMPI_F77=pgf77
+export OMPI_FC=pgf95
Index: XIOS/trunk/arch/arch-X64_CURIE_PGI.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_PGI.fcm	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_PGI.fcm	(revision 395)
@@ -0,0 +1,24 @@
+################################################################################
+###################        Projet xios - xmlioserver       #####################
+################################################################################
+
+%CCOMPILER      mpicxx -noswitcherror
+%FCOMPILER      mpif90 -noswitcherror
+%LINKER         mpif90 -noswitcherror  
+
+%BASE_CFLAGS    -D__NONE__
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -O2
+%DEBUG_CFLAGS   -g 
+
+%BASE_FFLAGS    -D__NONE__
+%PROD_FFLAGS    -O3
+%DEV_FFLAGS     -g -O2 
+%DEBUG_FFLAGS   -g 
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -pgcpplibs
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X64_CURIE_PGI.path
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_PGI.path	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_PGI.path	(revision 395)
@@ -0,0 +1,15 @@
+NETCDF_INCDIR="-I $NETCDF_INC_DIR"
+NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
+NETCDF_LIB="-lnetcdff -lnetcdf"
+
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
+
+HDF5_INCDIR=""
+HDF5_LIBDIR=""
+HDF5_LIB=""
+
+OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$WORKDIR/NEMO_COUPLE/prism/X64/lib"
+OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.env
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.env	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.env	(revision 395)
@@ -0,0 +1,5 @@
+module unload netcdf
+module unload hdf5
+module unload vampir
+module load vampir/7.5
+module load netcdf/4.2_hdf5_parallel
Index: XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.fcm	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.fcm	(revision 395)
@@ -0,0 +1,23 @@
+################################################################################
+###################        Projet xios - xmlioserver       #####################
+################################################################################
+
+%CCOMPILER      vtcc  -vt:cc mpicc -vt:inst manual -DVTRACE
+%FCOMPILER      vtf90 -vt:f90 mpif90 -vt:inst manual -DVTRACE
+%LINKER         vtf90  -vt:f90 mpif90 -vt:inst manual -nofor-main -DVTRACE
+%BASE_CFLAGS    -ansi  -diag-disable 1125 -diag-disable 279
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -traceback
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
+
+%BASE_FFLAGS    -D__NONE__ 
+%PROD_FFLAGS    -O3
+%DEV_FFLAGS     -g -O2 -traceback
+%DEBUG_FFLAGS   -g -traceback
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.path
===================================================================
--- XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.path	(revision 395)
+++ XIOS/trunk/arch/arch-X64_CURIE_VAMPIR.path	(revision 395)
@@ -0,0 +1,15 @@
+NETCDF_INCDIR="-I $NETCDF_INC_DIR"
+NETCDF_LIBDIR="-L$NETCDF_LIB_DIR"
+NETCDF_LIB="-lnetcdf"
+
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
+
+HDF5_INCDIR=""
+HDF5_LIBDIR=""
+HDF5_LIB=""
+
+OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$WORKDIR/NEMO_COUPLE/prism/X64/lib"
+OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XIOS/trunk/arch/arch-X64_HORUS.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_HORUS.fcm	(revision 394)
+++ XIOS/trunk/arch/arch-X64_HORUS.fcm	(revision 395)
@@ -7,15 +7,18 @@
 %LINKER         mpif90  
 
-%NO_WARN        -W -Wall -Wno-unused-parameter -Wno-long-long -Wno-deprecated
-%BASE_CFLAGS    -ansi -DNETCDF_PAR_HEADER -D_NONE_  -w
+%BASE_CFLAGS    -ansi -w
 %PROD_CFLAGS    -O3 -DBOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -DXIOS_DEBUG -g 
-%DEBUG_CFLAGS   -DXIOS_DEBUG -g 
+%DEV_CFLAGS     -g -O2 
+%DEBUG_CFLAGS   -g 
 
-%BASE_FFLAGS    -D_NONE_ 
+%BASE_FFLAGS    -D__NONE__ 
 %PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g 
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g 
+%DEV_FFLAGS     -g -O2
+%DEBUG_FFLAGS   -g 
 
-%BASE_INC       -D _NONE_
-%BASE_LD        -lstdc++ -lmpi_cxx
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X64_JADE.env
===================================================================
--- XIOS/trunk/arch/arch-X64_JADE.env	(revision 395)
+++ XIOS/trunk/arch/arch-X64_JADE.env	(revision 395)
@@ -0,0 +1,12 @@
+module unload hdf5
+module unload zlib
+module unload pnetcdf
+module unload netcdf
+
+module load hdf5/1.8.9
+module load pnetcdf/1.3.0
+module load zlib/1.2.5
+module load netcdf_C/4.2.1.1
+
+export NETCDF_INC_DIR="/opt/software/SGI/netcdf/C/4.2.1.1/include"
+export NETCDF_LIB_DIR="/opt/software/SGI/netcdf/C/4.2.1.1/lib"
Index: XIOS/trunk/arch/arch-X64_JADE.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_JADE.fcm	(revision 395)
+++ XIOS/trunk/arch/arch-X64_JADE.fcm	(revision 395)
@@ -0,0 +1,24 @@
+################################################################################
+###################        Projet xios - xmlioserver       #####################
+################################################################################
+
+%CCOMPILER      icc
+%FCOMPILER      ifort
+%LINKER         ifort
+
+%BASE_CFLAGS    -ansi  -diag-disable 1125 -diag-disable 279 -DMPI_NO_CPPBIND
+%PROD_CFLAGS    -O3 -DBOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -O2 -traceback
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
+
+%BASE_FFLAGS    -D__NONE__ 
+%PROD_FFLAGS    -O3
+%DEV_FFLAGS     -g -O2 -traceback
+%DEBUG_FFLAGS   -g -traceback
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++ -lifcore -lintlc -lmpi
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X64_JADE.path
===================================================================
--- XIOS/trunk/arch/arch-X64_JADE.path	(revision 395)
+++ XIOS/trunk/arch/arch-X64_JADE.path	(revision 395)
@@ -0,0 +1,15 @@
+NETCDF_INCDIR="-I $NETCDF_INC_DIR"
+NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
+NETCDF_LIB="-lnetcdf"
+
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
+
+HDF5_INCDIR=""
+HDF5_LIBDIR=""
+HDF5_LIB=""
+
+OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$WORKDIR/NEMO_COUPLE/prism/X64/lib"
+OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XIOS/trunk/arch/arch-X64_TITANE.env
===================================================================
--- XIOS/trunk/arch/arch-X64_TITANE.env	(revision 394)
+++ XIOS/trunk/arch/arch-X64_TITANE.env	(revision 395)
@@ -1,10 +1,4 @@
 module unload netcdf
 module unload hdf5
-export HDF5_INC_DIR=$WORKDIR/hdf5/include
-export HDF5_LIB_DIR=$WORKDIR/hdf5/lib
-
-export NETCDF_INC_DIR=$WORKDIR/netcdf4/include
-export NETCDF_LIB_DIR=$WORKDIR/netcdf4/lib
-
-#module unload phdf5
-#module load phdf5/1.8.6
+module load netcdf/4.2
+module load hdf5/1.8.8
Index: XIOS/trunk/arch/arch-X64_TITANE.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_TITANE.fcm	(revision 394)
+++ XIOS/trunk/arch/arch-X64_TITANE.fcm	(revision 395)
@@ -7,14 +7,18 @@
 %LINKER         mpif90  -nofor-main
 
-%BASE_CFLAGS    -ansi  -DNETCDF_PAR_HEADER -DXIOS_LIBRARY -DNONE -DXIOS_LIBRARY -diag-disable 1125 -diag-disable 279
-%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -D XIOS_DEBUG -g -traceback
-%DEBUG_CFLAGS   -D XIOS_DEBUG -DBZ_DEBUG -g -traceback -fno-inline
+%BASE_CFLAGS    -ansi  -diag-disable 1125 -diag-disable 279
+%PROD_CFLAGS    -O3 -DBOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -O2  -traceback
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
 
-%BASE_FFLAGS    -DXIOS_LIBRARY -DXIOS_LIBRARY 
+%BASE_FFLAGS    -D__NONE__ 
 %PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g -traceback
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g -traceback
+%DEV_FFLAGS     -g -O2 -traceback
+%DEBUG_FFLAGS   -g -traceback
 
 %BASE_INC       -D __NONE__
 %BASE_LD        -lstdc++
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X64_TITANE_GCC.env
===================================================================
--- XIOS/trunk/arch/arch-X64_TITANE_GCC.env	(revision 394)
+++ 	(revision )
@@ -1,11 +1,0 @@
-module unload bullxmpi
-module load openmpi/1.4.2_gnu
-module unload intel
-module load gcc
-
-export HDF5_INC_DIR=$WORKDIR/hdf5/include
-export HDF5_LIB_DIR=$WORKDIR/hdf5_gnu/lib
-
-export NETCDF_INC_DIR=$WORKDIR/netcdf4/include
-export NETCDF_LIB_DIR=$WORKDIR/netcdf4_gnu/lib
-
Index: XIOS/trunk/arch/arch-X64_TITANE_GCC.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_TITANE_GCC.fcm	(revision 394)
+++ 	(revision )
@@ -1,21 +1,0 @@
-################################################################################
-###################        Projet xios - xmlioserver       #####################
-################################################################################
-
-%CCOMPILER      mpicc
-%FCOMPILER      mpif90
-%LINKER         mpif90  
-
-%NO_WARN        -W -Wall -Wno-unused-parameter -Wno-long-long -Wno-deprecated
-%BASE_CFLAGS    -ansi -DNETCDF_PAR_HEADER -DXIOS_LIBRARY -DNONE -DXIOS_LIBRARY  -w
-%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -D XIOS_DEBUG -g 
-%DEBUG_CFLAGS   -D XIOS_DEBUG -g 
-
-%BASE_FFLAGS    -DXIOS_LIBRARY -DXIOS_LIBRARY 
-%PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g 
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g 
-
-%BASE_INC       -D _NONE_
-%BASE_LD        -lstdc++ -lmpi_cxx
Index: XIOS/trunk/arch/arch-X64_TITANE_GCC.path
===================================================================
--- XIOS/trunk/arch/arch-X64_TITANE_GCC.path	(revision 394)
+++ 	(revision )
@@ -1,15 +1,0 @@
-NETCDF_INCDIR="-I $NETCDF_INC_DIR"
-NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
-NETCDF_LIB="-lnetcdff -lnetcdf"
-
-MPI_INCDIR=""
-MPI_LIBDIR=""
-MPI_LIB=""
-
-HDF5_INCDIR="-I $HDF5_INC_DIR"
-HDF5_LIBDIR="-L $HDF5_LIB_DIR"
-HDF5_LIB="-lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl"
-
-OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
-OASIS_LIBDIR="-L$WORKDIR/NEMO_COUPLE/prism/X64/lib"
-OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XIOS/trunk/arch/arch-X64_TITANE_VAMPIR.env
===================================================================
--- XIOS/trunk/arch/arch-X64_TITANE_VAMPIR.env	(revision 394)
+++ XIOS/trunk/arch/arch-X64_TITANE_VAMPIR.env	(revision 395)
@@ -1,10 +1,4 @@
 module unload netcdf
 module unload hdf5
-export HDF5_INC_DIR=$WORKDIR/hdf5/include
-export HDF5_LIB_DIR=$WORKDIR/hdf5/lib
-
-export NETCDF_INC_DIR=$WORKDIR/netcdf4/include
-export NETCDF_LIB_DIR=$WORKDIR/netcdf4/lib
-
-#module unload phdf5
-#module load phdf5/1.8.6
+module load netcdf/4.2
+module load hdf5/1.8.8
Index: XIOS/trunk/arch/arch-X64_TITANE_VAMPIR.fcm
===================================================================
--- XIOS/trunk/arch/arch-X64_TITANE_VAMPIR.fcm	(revision 394)
+++ XIOS/trunk/arch/arch-X64_TITANE_VAMPIR.fcm	(revision 395)
@@ -5,16 +5,19 @@
 %CCOMPILER      vtcc  -vt:cc mpicc -vt:inst manual -DVTRACE
 %FCOMPILER      vtf90 -vt:f90 mpif90 -vt:inst manual -DVTRACE
-%LINKER         vtf90  -vt:f90 mpif90 -vt:inst manual -nofor-main -DVTRACE
+%LINKER         vtf90 -vt:f90 mpif90 -vt:inst manual -nofor-main -DVTRACE
+%BASE_CFLAGS    -ansi  -diag-disable 1125 -diag-disable 279
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -traceback
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
 
-%BASE_CFLAGS    -ansi -DNETCDF_PAR_HEADER -DXIOS_LIBRARY -DNONE -DXIOS_LIBRARY -diag-disable 1125 -diag-disable 279
-%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -D XIOS_DEBUG -g -traceback
-%DEBUG_CFLAGS   -D XIOS_DEBUG -g -traceback -fno-inline
+%BASE_FFLAGS    -D__NONE__ 
+%PROD_FFLAGS    -O3
+%DEV_FFLAGS     -g -O2 -traceback
+%DEBUG_FFLAGS   -g -traceback
 
-%BASE_FFLAGS    -DXIOS_LIBRARY -DXIOS_LIBRARY 
-%PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g -traceback
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g -traceback
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
 
-%BASE_INC       -D __NONE__
-%BASE_LD        -lstdc++
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-X86_LOCGNU_FEDORA.fcm
===================================================================
--- XIOS/trunk/arch/arch-X86_LOCGNU_FEDORA.fcm	(revision 394)
+++ 	(revision )
@@ -1,20 +1,0 @@
-################################################################################
-###################        Projet xios - xmlioserver       #####################
-################################################################################
-
-%CCOMPILER      g++
-%FCOMPILER      gfortran
-%LINKER         /usr/lib/openmpi/bin/mpif90
-
-%NO_WARN        -W -Wall -Wno-unused-parameter -Wno-long-long -Wno-deprecated
-%BASE_CFLAGS    -ansi -D XIOS_LIBRARY -DNONE -D XIOS_LIBRARY %NO_WARN
-%PROD_CFLAGS    -O3
-%DEV_CFLAGS     -D XIOS_DEBUG -g
-%DEBUG_CFLAGS   -D XIOS_DEBUG -g
-
-%BASE_FFLAGS    -D XIOS_LIBRARY -DNONE -D XIOS_LIBRARY
-%PROD_FFLAGS    -O3
-%DEV_FFLAGS     -D XIOS_DEBUG -g
-%DEBUG_FFLAGS   -D XIOS_DEBUG -g
-
-%BASE_LD        -lstdc++       
Index: XIOS/trunk/arch/arch-X86_LOCGNU_FEDORA.path
===================================================================
--- XIOS/trunk/arch/arch-X86_LOCGNU_FEDORA.path	(revision 394)
+++ 	(revision )
@@ -1,11 +1,0 @@
-NETCDF_INCDIR="-I /work/dev_rv/extra/netcdf4/include"
-NETCDF_LIBDIR="-L /work/dev_rv/extra/netcdf4/lib"
-NETCDF_LIB="-lnetcdf"
-
-MPI_INCDIR="-I /usr/include/openmpi-i386"
-MPI_LIBDIR="-L /usr/lib/openmpi/lib"
-MPI_LIB="-lmpi -lmpi_cxx"
-
-HDF5_INCDIR="-I /work/dev_rv/extra/hdf5/include"
-HDF5_LIBDIR="-L /work/dev_rv/extra/hdf5/lib"
-HDF5_LIB="-lhdf5_hl -lhdf5 -lz"
Index: XIOS/trunk/arch/arch-X86_LOCINTEL_FEDORA.fcm
===================================================================
--- XIOS/trunk/arch/arch-X86_LOCINTEL_FEDORA.fcm	(revision 394)
+++ 	(revision )
@@ -1,20 +1,0 @@
-################################################################################
-###################        Projet xios - xmlioserver       #####################
-################################################################################
-
-%CCOMPILER      icc
-%FCOMPILER      ifort
-%LINKER         /usr/lib/openmpi/bin/mpif90
-
-%BASE_CFLAGS    -ansi -D XIOS_LIBRARY -DNONE -D XIOS_LIBRARY -diag-disable 1125
-%PROD_CFLAGS    -O3
-%DEV_CFLAGS     -D XIOS_DEBUG -g
-%DEBUG_CFLAGS   -D XIOS_DEBUG -g
-
-%BASE_FFLAGS    -D XIOS_LIBRARY -DNONE -D XIOS_LIBRARY
-%PROD_FFLAGS    -O3
-%DEV_FFLAGS     -D XIOS_DEBUG -g
-%DEBUG_FFLAGS   -D XIOS_DEBUG -g
-
-%BASE_INC       -I /usr/include/openmpi-i386
-%BASE_LD        -lstdc++ -lifcore -lintlc     
Index: XIOS/trunk/arch/arch-XE6_LYNX.env
===================================================================
--- XIOS/trunk/arch/arch-XE6_LYNX.env	(revision 395)
+++ XIOS/trunk/arch/arch-XE6_LYNX.env	(revision 395)
@@ -0,0 +1,4 @@
+export HDF5_INC_DIR=$WORKDIR/hdf5/include
+export HDF5_LIB_DIR=${CRAY_HDF5_DIR}/hdf5-parallel-cce/lib
+export NETCDF_INC_DIR=${CRAY_NETCDF_DIR}/netcdf-hdf5parallel-cce/include
+export NETCDF_LIB_DIR=${CRAY_NETCDF_DIR}/netcdf-hdf5parallel-cce/lib
Index: XIOS/trunk/arch/arch-XE6_LYNX.fcm
===================================================================
--- XIOS/trunk/arch/arch-XE6_LYNX.fcm	(revision 395)
+++ XIOS/trunk/arch/arch-XE6_LYNX.fcm	(revision 395)
@@ -0,0 +1,24 @@
+################################################################################
+###################        Projet xios - xmlioserver       #####################
+################################################################################
+
+%CCOMPILER      CC
+%FCOMPILER      ftn
+%LINKER         CC
+
+%BASE_CFLAGS    -DMPICH_SKIP_MPICXX -h msglevel_4
+%PROD_CFLAGS    -O3 -DBOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -O2 
+%DEBUG_CFLAGS   -g 
+
+%BASE_FFLAGS    -em -m 4
+%PROD_FFLAGS    -O3
+%DEV_FFLAGS     -g -O2 
+%DEBUG_FFLAGS   -g 
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -D__NONE__
+
+%CPP            cpp
+%FPP            cpp -P
+%MAKE           gmake
Index: XIOS/trunk/arch/arch-XE6_LYNX.path
===================================================================
--- XIOS/trunk/arch/arch-XE6_LYNX.path	(revision 395)
+++ XIOS/trunk/arch/arch-XE6_LYNX.path	(revision 395)
@@ -0,0 +1,15 @@
+NETCDF_INCDIR="-I $NETCDF_INC_DIR"
+NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
+NETCDF_LIB="-lnetcdf"
+
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
+
+#HDF5_INCDIR="-I $HDF5_INC_DIR"
+HDF5_LIBDIR="-L $HDF5_LIB_DIR"
+HDF5_LIB="-lhdf5_hl -lhdf5 -lz -lcurl"
+
+OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$WORKDIR/NEMO_COUPLE/prism/X64/lib"
+OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XIOS/trunk/arch/arch-XT6_LYNX.env
===================================================================
--- XIOS/trunk/arch/arch-XT6_LYNX.env	(revision 394)
+++ 	(revision )
@@ -1,9 +1,0 @@
-#module unload netcdf
-#module unload hdf5
-export HDF5_INC_DIR=$WORKDIR/hdf5/include
-export HDF5_LIB_DIR=${CRAY_HDF5_DIR}/hdf5-parallel-cce/lib
-export NETCDF_INC_DIR=${CRAY_NETCDF_DIR}/netcdf-hdf5parallel-cce/include
-export NETCDF_LIB_DIR=${CRAY_NETCDF_DIR}/netcdf-hdf5parallel-cce/lib
-
-#module unload phdf5
-#module load phdf5/1.8.6
Index: XIOS/trunk/arch/arch-XT6_LYNX.fcm
===================================================================
--- XIOS/trunk/arch/arch-XT6_LYNX.fcm	(revision 394)
+++ 	(revision )
@@ -1,20 +1,0 @@
-################################################################################
-###################        Projet xios - xmlioserver       #####################
-################################################################################
-
-%CCOMPILER      CC
-%FCOMPILER      ftn
-%LINKER         CC
-
-%BASE_CFLAGS    -DXIOS_LIBRARY  -DMPICH_SKIP_MPICXX -DNONE -DXIOS_LIBRARY -h msglevel_4
-%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -D XIOS_DEBUG -g 
-%DEBUG_CFLAGS   -D XIOS_DEBUG -g 
-
-%BASE_FFLAGS    -em -DXIOS_LIBRARY -DXIOS_LIBRARY -m 4
-%PROD_FFLAGS    -O3
-%DEV_FFLAGS     -DXIOS_DEBUG -g 
-%DEBUG_FFLAGS   -DXIOS_DEBUG -g 
-
-%BASE_INC       -D __NONE__
-%BASE_LD        
Index: XIOS/trunk/arch/arch-XT6_LYNX.path
===================================================================
--- XIOS/trunk/arch/arch-XT6_LYNX.path	(revision 394)
+++ 	(revision )
@@ -1,15 +1,0 @@
-NETCDF_INCDIR="-I $NETCDF_INC_DIR"
-NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
-NETCDF_LIB="-lnetcdf"
-
-MPI_INCDIR=""
-MPI_LIBDIR=""
-MPI_LIB=""
-
-#HDF5_INCDIR="-I $HDF5_INC_DIR"
-HDF5_LIBDIR="-L $HDF5_LIB_DIR"
-HDF5_LIB="-lhdf5_hl -lhdf5 -lz -lcurl"
-
-OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
-OASIS_LIBDIR="-L$WORKDIR/NEMO_COUPLE/prism/X64/lib"
-OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XIOS/trunk/bld.cfg
===================================================================
--- XIOS/trunk/bld.cfg	(revision 394)
+++ XIOS/trunk/bld.cfg	(revision 395)
@@ -36,8 +36,8 @@
 bld::tool::cc        %CCOMPILER
 bld::tool::fc        %FCOMPILER
-bld::tool::fpp       cpp -P
-bld::tool::cpp       cpp
+bld::tool::fpp       %FPP
+bld::tool::cpp       %CPP
 bld::tool::cppflags  %BASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include -I${PWD}/extern/blitz/include 
-bld::tool::fppflags  -std=c99 %BASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include 
+bld::tool::fppflags  %BASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include 
 bld::tool::ld        %LINKER
 bld::tool::ldflags   %LD_FLAGS 
@@ -46,5 +46,5 @@
 bld::tool::cppkeys   %CPP_KEY
 bld::tool::fppkeys   %CPP_KEY
-bld::tool::make   gmake
+bld::tool::make      %MAKE
 
 # Pre-process code before analysing dependencies
Index: XIOS/trunk/make_xios
===================================================================
--- XIOS/trunk/make_xios	(revision 394)
+++ XIOS/trunk/make_xios	(revision 395)
@@ -154,7 +154,8 @@
 if [[ "$compil_full" == "true" ]]
    then
-   fcm build -f -j $job
+   fcm build --clean --ignore-lock 
+   fcm build -f --ignore-lock -j $job
 else
-  fcm build -j $job
+  fcm build --ignore-lock -j $job
 fi
 
